﻿Type=Service
Version=6.8
ModulesStructureVersion=1
B4A=true
@EndOfDesignText@
#Region   VERSIONS  
'	1.00
			
#End Region

#Region  Service Attributes 
	#StartAtBoot: False
	#StartCommandReturnValue: android.app.Service.START_STICKY
#End Region

Sub Process_Globals
	Public wsh As WSHandler
	Public IsConnected As Boolean
	Public DisconnectionReason As String
End Sub


#Region  + SERVICE EVENTS  

Sub Service_Create
End Sub

Sub Service_Start (StartingIntent As Intent)
	If Not(wsh.IsInitialized) Or wsh.ws.Connected = False Then
		TryToConnect
	End If
End Sub

Sub Service_Destroy

End Sub

#End Region


#Region  + METHODS  

#Region  + Public methods  

Sub Connect
	TryToConnect
End Sub

Sub Disconnect
	wsh.ws.Close
End Sub

#End Region

#Region  + Private methods  

Private Sub TryToConnect
	If Not(wsh.IsInitialized) Then
		wsh.Initialize(Me, "")
	End If
	wsh.ws.Connect(Starter.ServerLink)
End Sub

#End Region

#End Region


#Region  + CONNECTION EVENTS  

Sub Connected
	IsConnected = True
	CallSubDelayed(Main, "Connected")
End Sub

Sub Closed (Reason As String)
	IsConnected = False
	DisconnectionReason = Reason
	CallSubDelayed2(Main, "Disconnected", Reason)
End Sub

#End Region

#Region  + SERVER I/O CALLS  

#Region   Calls on Server  
#End Region

#Region   Calls from Server  
#End Region

#End Region
