﻿Type=Class
Version=5
ModulesStructureVersion=1
B4J=true
@EndOfDesignText@
'WebSocket class

#Region   VERSIONS HISTORY  
' V. 1.00
'			
#End Region

Sub Class_Globals
	Private ws As WebSocket
	Public RemoteIP As String
End Sub

Public Sub Initialize
End Sub


#Region  + PROPERTIES 

Public Sub GetWS As WebSocket
	Return ws
End Sub

#End Region


#Region  + METHODS 

#Region  + Public methods 
#End Region

#Region  + Private methods 

' Runs a client routine based on obfuscation
Public Sub RunClientRoutine(RoutineName As String, Args As List)
	RoutineName = RoutineName.ToLowerCase
	ws.RunFunction(RoutineName, Args)
	ws.Flush
End Sub

#End Region

#End Region


#Region  + WebSocket conn/disconn 

Private Sub WebSocket_Connected (WebSocket1 As WebSocket)
	ws = WebSocket1
	RemoteIP = ws.UpgradeRequest.RemoteAddress
	Log("RemoteIP: " & RemoteIP)
End Sub

Private Sub WebSocket_Disconnected
	Log("WebSocket_Disconnected")
End Sub

#End Region


#Region  + CLIENT I/O CALLS 

#Region  + ---  Calls on Client  ---  

#End Region ' --------------------

#Region  + ---  Raised by Client ---  

#End Region ' --------------------

#End Region

